<!-- 	Sised - Modulo Docentes - Guardar Migrar Frases
		----------------------------------------------------------
		Recibe del formulario administrar-migrarfrases.php las variables: iddocente, bdie, periodo, planillaseleccionada

		Ultima Modificación: 28 de Marzo de 2012
		Por: Carlos Gerardo Galeano Flórez
-->

<?php
	$iddocente= $_GET['iddocente'];
	$bdie= $_GET['bdie'];
	$periodo= $_GET['periodo'];
	$planillaseleccionada= $_GET['planillaseleccionada'];
	$idgrupo=substr($planillaseleccionada,0,18);
	$idasignatura=substr($planillaseleccionada,18,20);
	include("php/conexion-bdie.php"); 
?>

<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<link rel="stylesheet" href="css/estilos.css" type="text/css" />

<title>Sised .::. Sistema de Información para Instituciones Educativas</title>
<base target="principal">
</head>

<body>
<table class="mtbl">
	<tr>
    	<td class="leftcol">
			<div class="nav">
				<h2>Guardar Frases</h2>
				<ul>
					<li><a target="contenido">Actualización de las Frases de los Estudiantes por Asignatura</a></li>
					<li><a target="contenido">--------------------------------</a></li>
					<li><a target="contenido">Ayuda</a></li>
				</ul>
			</div>
		</td>
		<td class="rTd">
        <h4><b>Confirmación de Guardar Frases de Estudiantes</b></h4>
        
        <div align="left">
			<table border="2" width="100%" bordercolorlight="#800000" bordercolordark="#800000" bgcolor="#FFFFCC" bordercolor="#000080">
				<tr>
					<td>&nbsp;
					<?php 
    					$regasigdocente=mysql_query("Select * From datos_asignaturasdocentes Where iddocente='$iddocente' order by idasignatura",$db_basededatosie);
                    	while ($FilaAsignatura=mysql_fetch_array($regasigdocente)){
                    		$idgrupo=$FilaAsignatura["idgrupo"];
                    		$idasignatura=$FilaAsignatura["idasignatura"];
							$gruposeleccionado=$idgrupo.$idasignatura;
							$danesede=substr($gruposeleccionado,0,14);
							$estado=$_POST[$gruposeleccionado];
							if ($estado) {	
								$frasesseleccionadas=$_POST['frases'];
								for($i=0;$i<count($frasesseleccionadas);$i++){	
									$idfraseseleccionada=substr($frasesseleccionadas[$i],0,25);
									$fraseseleccionada=substr($frasesseleccionadas[$i],25,255);
									$numfraseseleccionada=substr($frasesseleccionadas[$i],21,4);
									$nuevaidfrase=$idgrupo.substr($idasignatura,17,3).$numfraseseleccionada;
									$regfrases=mysql_query("Select frase From datos_frases Where idfrase='$nuevaidfrase'",$db_basededatosie);
	                				if (mysql_num_rows($regfrases)>0){
	                					$actualiza= mysql_query("Update datos_frases Set frase='$fraseseleccionada' Where idfrase='$nuevaidfrase'",$db_basededatosie);
									}
									else {
				            			$consecutivofrases=101;
		                            	for ($j=1;$j<100;$j++){ 
		                            		$tipofrase=substr($frasesseleccionadas[$i],21,1);
		                            		$idfrase=$idgrupo.substr($idasignatura,17,3).$tipofrase.$consecutivofrases;
		                            		$frase="Campo disponible para una frase...";
		                            		$guard= mysql_query("Insert Into datos_frases (idfrase,danesede,idgrupo,idasignatura,frase,tipofrase) Values ('$idfrase','$danesede','$idgrupo','$idasignatura','$frase','$tipofrase')",$db_basededatosie);
		                            		$consecutivofrases=$consecutivofrases+1; 
		                            	}
		                            	$actualiza= mysql_query("Update datos_frases Set frase='$fraseseleccionada' Where idfrase='$nuevaidfrase'",$db_basededatosie);
									}
								}
							}
						}
						echo "<br><br>MENSAJE: La Migración de las Frases se realizó con éxito.";
					?>
					</td>
				</tr>
			</table>
		</div>
        
        <br/>
		<p><input type="button" value="Regresar" name="volver" onclick="history.go(-2)" /></p>        
		<p align=right><font size="1">Versión Beta - <?php echo $iddocente;?></font></p>	
	</tr>
</table>
</body>

</html>
<?php
	mysql_close($db_basededatosie);
?>